package com.gic.store.dao.mapper;

import com.gic.store.entity.TabDict;
import org.apache.ibatis.annotations.Param;
/**
 * 
 * @ClassName: DictMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 17:53
 */
public interface DictMapper {
    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabDict record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabDict record);

    /**
     * 根据主键查询
     *
     * @param dictId 主键
     * @return 实体对象
     */
    TabDict selectByPrimaryKey(String dictId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabDict record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabDict record);

    /**
     * getDictByCode
     * @Title: getDictByCode
     * @Description:
     * @author zhiwj
 * @param dictType
 * @param dictCode
     * @return com.gic.store.entity.TabDict
     * @throws
     */
    TabDict getDictByCode(@Param("dictType") String dictType, @Param("dictCode") String dictCode);
}